#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
# Disabled tests as pidlockfile is not anymore in the lastest python-lockfile

%define 	module	daemon
Summary:	Library to implement a well-behaved Unix daemon process
Name:		python-%{module}
Version:	1.6
Release:	3
License:	Python
Group:		Development/Languages
Source0:	http://pypi.python.org/packages/source/p/python-daemon/%{name}-%{version}.tar.gz
# Source0-md5:	c774eda27d6c5d80b42037826d29e523
URL:		http://pypi.python.org/pypi/python-daemon/
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	python-lockfile
BuildRequires:	python-minimock
%endif
Requires:	python-lockfile
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements the well-behaved daemon specification of PEP
3143, "Standard daemon process library".

%prep
%setup -q

%{__sed} -i -e '/^#!\//, 1d' daemon/version/version_info.py

%build
%py_build

# Test suite requires minimock and lockfile
%if %{with tests}
PYTHONPATH=$(pwd) nosetests-%{py_ver}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%{__rm} -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.PSF-2
%dir %{py_sitescriptdir}/daemon
%dir %{py_sitescriptdir}/daemon/version
%{py_sitescriptdir}/daemon/*.py[co]
%{py_sitescriptdir}/daemon/version/*.py[co]
%{py_sitescriptdir}/python_daemon-%{version}-py%{py_ver}.egg-info
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-daemon.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6101260
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ce275ac
- automatic change: use py_build/py_install macros

* Sat Nov 22 2014 Elan Ruusamäe <glen@delfi.ee> 835b8c1
- update BR

* Wed Dec 14 2011 Elan Ruusamäe <glen@pld-linux.org> 41f92ae
- md5

* Tue Dec 13 2011 Elan Ruusamäe <glen@pld-linux.org> a7c6cef
- new, from fedora

